1 - 1.2
get /v1/images
Description
List ske node images available for nodepool creation
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | kubernetes_version optional | Kubernetes 버전 Example : v1.29.8 | any of [string, null] | None |
| query | scp_original_image_type required | Original SCP image type (e.g., k8s, k8s_gpu) Example : k8s | string | None |
| query | os optional | 이미지 OS Example : ubuntu | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodepoolImageListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images?scp_original_image_type={scp_original_image_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = ske 1.2"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"nodepool_images": [
{
"end_of_support": false,
"id": "10a599e031e749b7b260868f441e862b",
"kubernetes_version": "v1.29.8",
"name": "ubuntu-22.04-k8s-v1.29.8",
"os": "ubuntu",
"os_version": "22.04",
"scp_image_type": "k8s",
"scp_original_image_type": "k8s",
"volume": {
"size": 100
}
}
]
}